OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class NotifdConfigManager

    java.lang.Object
      org.opennms.netmgt.config.NotifdConfigManager

Direct Known Subclasses:
  MockNotifdConfigManager, NotifdConfigFactory

public abstract class NotifdConfigManager
extends java.lang.Object

Author:
  david TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`protected NotifdConfiguration` `configuration`

Constructor Summary
`NotifdConfigManager()`

Method Summary
`NotifdConfiguration` `getConfiguration()`
`java.lang.String` `getNextNotifIdSql()`
`boolean` `getNotificationMatch()`
`java.lang.String` `getNotificationStatus()`
`boolean` `matchNotificationParameters(Event event, Notification notification)`
`void` `parseXml(java.io.Reader reader)`
`void` `saveCurrent()`
`protected abstract void` `saveXml(java.lang.String xml)`
`protected void` `sendEvent(java.lang.String uei)`
`void` `turnNotifdOff()` Turns the notifd service off
`void` `turnNotifdOn()` Turns the notifd service on
`protected abstract void` `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected NotifdConfiguration configuration

Constructor Detail

### NotifdConfigManager

    public NotifdConfigManager()

Method Detail

### parseXml

    public void parseXml(java.io.Reader reader)
                  throws org.exolab.castor.xml.MarshalException,
                         org.exolab.castor.xml.ValidationException,
                         java.io.IOException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### getConfiguration

    public NotifdConfiguration getConfiguration()
                                         throws java.io.IOException,
                                                org.exolab.castor.xml.MarshalException,
                                                org.exolab.castor.xml.ValidationException

  Returns:
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### update

    protected abstract void update()
                            throws java.io.IOException,
                                   org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`
    `org.exolab.castor.xml.MarshalException`
    `java.io.IOException`

### getNotificationStatus

    public java.lang.String getNotificationStatus()
                                           throws java.io.IOException,
                                                  org.exolab.castor.xml.MarshalException,
                                                  org.exolab.castor.xml.ValidationException

  Returns:
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### turnNotifdOn

    public void turnNotifdOn()
                      throws org.exolab.castor.xml.MarshalException,
                             org.exolab.castor.xml.ValidationException,
                             java.io.IOException

  Turns the notifd service on

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### turnNotifdOff

    public void turnNotifdOff()
                       throws org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException,
                              java.io.IOException

  Turns the notifd service off

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### getNotificationMatch

    public boolean getNotificationMatch()
                                 throws java.io.IOException,
                                        org.exolab.castor.xml.MarshalException,
                                        org.exolab.castor.xml.ValidationException

  Returns:
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### saveCurrent

    public void saveCurrent()
                     throws org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException,
                            java.io.IOException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### saveXml

    protected abstract void saveXml(java.lang.String xml)
                             throws java.io.IOException

  Parameters:
    `xml` -
  Throws:
    `java.io.IOException`

### sendEvent

    protected void sendEvent(java.lang.String uei)

### getNextNotifIdSql

    public java.lang.String getNextNotifIdSql()
                                       throws java.io.IOException,
                                              org.exolab.castor.xml.MarshalException,
                                              org.exolab.castor.xml.ValidationException

  Returns:
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### matchNotificationParameters

    public boolean matchNotificationParameters(Event event,
                                               Notification notification)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.